# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeBoundedSurface Class Reference

This class implements the mapping between classes
BoundedSurface from
StepGeom which describes a BoundedSurface from
prostep and the class BoundedSurface from Geom.
As BoundedSurface is an abstract BoundedSurface this class
is an access to the sub-class required.
.

`#include <StepToGeom_MakeBoundedSurface.hxx>`

Inheritance diagram for StepToGeom_MakeBoundedSurface:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeBoundedSurface (const Handle(StepGeom_BoundedSurface)&C)
Standard_EXPORT const Handle_Geom_BoundedSurface & | Value () const

## Private Attributes

Handle_Geom_BoundedSurface | theBoundedSurface

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeBoundedSurface::StepToGeom_MakeBoundedSurface | ( | const Handle(StepGeom_BoundedSurface)& | C | ) |

## Member Function Documentation

void StepToGeom_MakeBoundedSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeBoundedSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeBoundedSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom_BoundedSurface& StepToGeom_MakeBoundedSurface::Value | ( |  | ) | const

## Field Documentation

Handle_Geom_BoundedSurface StepToGeom_MakeBoundedSurface::theBoundedSurface `[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeBoundedSurface.hxx